Obtenga los eventos de una tarea de migración
Parámetros de path
-
ID de la tarea
El formato debe coincidir con el siguiente patrón:
^[A-Za-z0-9\-]+$.
GET /tareas/{jobId}/registros
curl \
--request GET 'http://127.0.0.1:8278/api/v1/jobs/{jobId}/logs'
Ejemplos de respuesta (200)
[
{
"eventType": "ERROR",
"message": "string",
"details": "string",
"timestamp": "2026-05-04T09:42:00Z",
"stackTrace": [
"string"
],
"locationType": "TABLE",
"locationName": "string",
"fieldName": "string",
"key": {
"additionalProperty1": "string",
"additionalProperty2": "string"
},
"errorType": "DuplicateKeyError"
}
]
Ejemplos de respuesta (400)
{
"errorType": "VALIDATION_ERROR",
"message": "string",
"timestamp": "2026-05-04T09:42:00Z",
"issues": [
{
"type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
"message": "string",
"pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
}
]
}
Ejemplos de respuesta (404)
{
"errorType": "VALIDATION_ERROR",
"message": "string",
"timestamp": "2026-05-04T09:42:00Z",
"issues": [
{
"type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
"message": "string",
"pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
}
]
}
Ejemplos de respuesta (500)
{
"errorType": "VALIDATION_ERROR",
"message": "string",
"timestamp": "2026-05-04T09:42:00Z",
"issues": [
{
"type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
"message": "string",
"pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
}
]
}